/****************************************************************/
/*	Source file for  SM28VLT32-HT flash API
	Platform:	IAR Workbench, MSWindows
	Target  :	SM470R1B1M-HT	
    
	Developed by		   : Varalakshmi B
	Developed on		   : 13th Dec 2012
	Release Ver		   : 1.0		        */
/****************************************************************/

#ifndef _SM28VLT32_HT_H_
#define _SM28VLT32_HT_H_

/******************* Global Definitions *****************/
#define FLASH_QS_COMMAND_ERROR			0x01
#define FLASH_QS_READ_ERROR			0x02
#define FLASH_QS_INVALID_DATA_ERROR		0x04
#define FLASH_QS_DEVICE_BUSY			0x08
#define FLASH_QS_ERASE_BUSY			0x10
#define FLASH_QS_WRITE_BUSY			0x20
#define FLASH_QS_SPI_FRAME_ERROR		0x40

#define FLASH_NUM_SECTORS			64
#define FLASH_SECTOR_SIZE			0x8000

/******************* Functions Prototyping *****************/
// Processor Specific functions
void Flash_Init();
void Flash_Set_CS_Status(int status);
unsigned char Flash_SPI_SendByte(unsigned char data);

// Generic Functions  
void Flash_ReadStatusRegister(int *Status);
void Flash_ClearError();
int Flash_SendFF();
int Flash_Write(int Address, unsigned short Data);
int Flash_Read(int Address, unsigned short *Data);
int Flash_EraseSector(int Address);

#endif /* _SM28VLT32_HT_H_ */
